#ifndef COMM_H
#define COMM_H

#include <Arduino.h>
#include <SD.h>
#include "Common.h"
#include "LCDHandler.h"
#include "KeypadHandler.h"

// RS232 control pins
#define DTR_PIN 25      // Digital pin for DTR signal
#define RTS_PIN 27      // Digital pin for RTS signal
#define CTS_PIN 26      // Digital pin for CTS signal

// Buffer size for transfers
#define COMM_BUFFER_SIZE 128

// Transfer status codes
typedef enum {
    TRANSFER_SUCCESS,
    TRANSFER_CANCELLED,
    TRANSFER_FILE_ERROR,
    TRANSFER_TIMEOUT,
    TRANSFER_ERROR
} TransferStatus;

// Function declarations
void initComm();
void configureSerial();
TransferStatus sendFile(const char* filename);
TransferStatus receiveFile(const char* filename);
bool waitForCTS(unsigned long timeout);
void setDTR(bool state);
void setRTS(bool state);
bool getCTS();

#endif // COMM_H