#include "KeypadHandler.h"

// Define the keypad mapping
char keyMap[ROW_NUM][COL_NUM] = {
    {'L', '0', 'R', 'O'},
    {'7', '8', '9', 'E'},
    {'4', '5', '6', 'D'},
    {'1', '2', '3', 'U'},
    {'A', 'B', '#', '*'}
};

// Define the keypad pins
byte rowPins[ROW_NUM] = {44, 45, 46, 47, 48}; // Row pins
byte colPins[COL_NUM] = {40, 41, 42, 43};     // Column pins

// Create Keypad instance
Keypad keypad = Keypad(makeKeymap(keyMap), rowPins, colPins, ROW_NUM, COL_NUM);

// Initialize keypad
void initKeypad() {
    // Any setup if needed
}

// Get a single key press
char getKey() {
    return keypad.getKey(); // Returns the first key detected
}

// Get all pressed keys
String getPressedKeys() {
    String pressedKeys = "";
    for (int i = 0; i < ROW_NUM; i++) {
        for (int j = 0; j < COL_NUM; j++) {
            if (keypad.isPressed(keyMap[i][j])) {
                pressedKeys += keyMap[i][j];
            }
        }
    }
    return pressedKeys; // Returns a string of all pressed keys
}
