#include "LCDHandler.h"

#define LCD_ADDR 0x27  // I2C address of the LCD
#define LCD_COLS 20
#define LCD_ROWS 4

LiquidCrystal_I2C lcd(LCD_ADDR, LCD_COLS, LCD_ROWS);  // Initialize LCD

void initLCD() {
    lcd.init();        // Initialize the LCD
    lcd.backlight();   // Turn on the backlight
    lcd.clear();       // Clear the screen
}

void printLCD(int col, int row, const String &text) {
    lcd.setCursor(col, row);
    lcd.print(text);
}

void clearLCD() {
    lcd.clear();
}

void setCursorLCD(int col, int row) {
    lcd.setCursor(col, row);
}

void backlightOn() {
    lcd.backlight();
}

void backlightOff() {
    lcd.noBacklight();
}
