#include "LCDHandler.h"
#include "KeypadHandler.h"
#include "Menus.h"
#include "Common.h"

void setup() {
    Serial.begin(9600);
    
    // Initialize the LCD
    initLCD();
    printLCD(0, 0, "NCComm System");
    printLCD(0, 1, "Initializing...");
    loadSettingsFromEEPROM();
    delay(1000);
    
    // Initialize the keypad
    initKeypad();
    printLCD(0, 2, "Keypad ready");
    delay(500);
    
    // Initialize the menu system
    initMenuSystem();
}

void loop() {
    // Handle menu navigation with keypad
    handleMenuNavigation();
    delay(100);  // Short delay to prevent excessive processing
}