/*
Arduino Mega 2560
4x5 matrix keypad
20x4 LCD display with I2C backpack
A RS232 module with RTS CTS pins
An SD card module

libraries: 
LiquidCrystal I2C by frank de brabander
Keypad by mark stanley

The 4x5 matrix keypad is as follows
Columns pin 40-43
Rows pins 44-48

The layout is as follows:
// Define the keypad mapping
char keyMap[ROW_NUM][COL_NUM] = {
{'L', '0', 'R', 'O'},
{'7', '8', '9', 'E'},
{'4', '5', '6', 'D'},
{'1', '2', '3', 'U'},
{'A', 'B', '#', '*'}
};

//It should be noted that the keys are as follows
//0-9 numbers
//A = F1, B = F2
//# and * are themselves
//O = enter
//E = escape
// U, D, L, R = up, down, left, right
// Define the keypad pins
byte rowPins[ROW_NUM] = {44, 45, 46, 47, 48}; // Row pins
byte colPins[COL_NUM] = {40, 41, 42, 43}; // Column pins

The LCD is 0x27 on I2C

The rs232 module is hooked up to Serial1 TX1 RX1, RTS on 27 and CTS on 26

The SD card module is on SPI and the CS for the module is pin 22

Menus:

Main Menu
  Send CNC Program (For sending to CNC)
  Receive Program (For receiving)
  Set File (Opens a browser for the files on SD card)
  RS232 settings (Change IO, 110 to 115200, 7 or 8, Parity, Stop bits)
  About...

  

*/